 <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="app"><p>{{num}}</p>
        <!--<app-header v-on:하위 컴포넌트에서 발생한 이벤트 이름="상위 컴포넌트의 메소드 이름 "></app-header>-->
        <app-header @pass="logText"></app-header>
        <app-content @increase="increaseNumbner($event)"></app-content>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script>
        var appHeader = {
            template: '<button v-on:click="passEvent">click me</button>',
            methods: {
                passEvent: function(){
                    this.$emit('pass');
                }
            }
        }
        var appContent = {

            template: '<div><button v-on:click="addNum">add</button><input v-model="param.num2" type="text"/></div>',
            data() {
                return {
                    param: {
                    num2 : '',
                    title : '333'
                    }
                }
            },
            methods: {
                addNum: function(){
                    this.$emit('increase',  this.param);
                }
            }
        }
        new Vue({
            el: '#app',
            components: {
                'app-header' : appHeader,
                'app-content' : appContent
            },
            data:{
                num : 10,
                num2 : 0
            },
            methods: {
                logText: function(){
                    console.log(this)
                    console.log('hi');
                },
                increaseNumbner: function(param) {
                    console.log(param);
                    //this.num = this.num + Number(event);
                }
            }
        })
    </script>
</body>
</html>